From eece498d0a281ea9b36319d5c30c1c7868060976 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Va=CC=81clav=20Slavi=CC=81k?= <vaclav@slavik.io>
Date: Thu, 6 Oct 2016 17:39:19 +0200
Subject: [PATCH] OS X: Don't show focus ring around wxDataViewCtrl

In native OS X apps, focus ring is not shown around NSTableView controls
(focus is indicated differently, with selection's color). For some
reason, NSTableView shows the focus ring by default when used in wxDVC,
so we need to explicitly disable it.
---
 src/osx/cocoa/dataview.mm | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/osx/cocoa/dataview.mm b/src/osx/cocoa/dataview.mm
index 237bd98b90..a2974367c2 100644
--- a/src/osx/cocoa/dataview.mm
+++ b/src/osx/cocoa/dataview.mm
@@ -1933,6 +1933,7 @@ wxCocoaDataViewControl::wxCocoaDataViewControl(wxWindow* peer,
 void wxCocoaDataViewControl::InitOutlineView(long style)
 {
     [m_OutlineView setImplementation:this];
+    [m_OutlineView setFocusRingType:NSFocusRingTypeNone];
     [m_OutlineView setColumnAutoresizingStyle:NSTableViewLastColumnOnlyAutoresizingStyle];
     [m_OutlineView setIndentationPerLevel:GetDataViewCtrl()->GetIndent()];
     NSUInteger maskGridStyle(NSTableViewGridNone);
